Page 3 of 5 FirstFirst 12345 LastLast
Results 21 to 30 of 50

Thread: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

  1. #21

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    Folks:

    So far looks like we don't have a fix in the tubes yet?? Ran a zypper and still am getting:

    Code:
    Problem: mate-menu-20.04.1-2.1.noarch requires python3-xdg, but this requirement cannot be provided
      deleted providers: python3-pyxdg-0.26-6.2.noarch
    not installable providers: python3-xdg-4.0.1-1.1.noarch[download.opensuse.org-oss]
     Solution 1: Following actions will be done:
      deinstallation of mate-menu-20.04.1-2.1.noarch
      deinstallation of mate-panel-branding-openSUSE-42.1-4.44.noarch
      deinstallation of mate-menu-lang-20.04.1-2.1.noarch
     Solution 2: deinstallation of python3-pyxdg-0.26-6.2.noarch
     Solution 3: keep obsolete python3-pyxdg-0.26-6.2.noarch
     Solution 4: break mate-menu-20.04.1-2.1.noarch by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/4/c/d/?] (c):

  2. #22

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    This time when I choose #3 . . . "keep obsolete python package" . . . there are a bunch of "kernel-firmware" packages that are selected to be "downgraded" . . . which I think were just "upgraded" in the recent zyppering . . . ???

    The other choices seem to be to "de-install mate-menu" or "break it" . . . nothing seems too attractive . . . . I'm thinking that "Gene_S" provided some data on a "bashrc"??? file, but that is beyond my skillset . . . basic zypper commands is about it for me in OpenSUSEville . . . .

    Any thoughts as to easy "solution" to this query-gate stumbling block???

  3. #23

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    Go ahead and keep the obsolete package. The firmware downgrade is unrelated. Look at https://forums.opensuse.org/showthre...ernel-firmware for information on that issue.

    Gene

  4. #24

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    Quote Originally Posted by Gene_S View Post
    Go ahead and keep the obsolete package. The firmware downgrade is unrelated. Look at https://forums.opensuse.org/showthre...ernel-firmware for information on that issue.

    Gene
    @Gene_S:

    Thanks for the post back . . . I did check that other thread and saw your "I don't have suspend" comment . . . I use suspend, or try to, seems like there have been "revival from suspend" issues in several of my distros lately . . . but, what I do find "odd" is that I did run the "keep obsolete python" choice previously and it shows it and mesa-dri-nouveau as "locked" in the console after running zypper dup -l . . . but it still gave me this question again about "Pick one of these four choices" . . . ??? Why, why, why is this happening to me . . . ??? : - ))

    But, thanks for letting me know that the "downgrade" isn't related . . . I guess most of this isn't too serious . . . upgrade . . . downgrade . . . all in a days work . . . but maybe I'll wait a day or two to see if anything changes before running the downgrade . . . sort of goes against the grain in the "rolling" realm . . . we always want to be rolling "forward" . . . never backward . . . relentlessly forward . . . .

  5. #25

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    What do you see when you run:
    Code:
    > sudo zypper locks
    
    # | Name           | Type    | Repository
    --+----------------+---------+-----------
    1 | *lsp-plugins*  | package | (any)
    2 | *pulseeffects* | package | (any)
    3 | python3-pyxdg  | package | (any)
    If python3-pyxdg is locked, I'm not sure why you still get those 4 suggestions. Maybe you could post them? They may be about something else.

    Gene

  6. #26

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    @Gene_S:

    I'm away from that machine right now, so I'll try that command in the AM, but post #21 I believe is from this morning's zypper dup -l attempts showing the 4 options . . . seems to relate to "mate-menu" and "python3" as before . . . no question in my mind on that one . . . .

  7. #27

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    Quote Originally Posted by Gene_S View Post
    What do you see when you run:
    Code:
    > sudo zypper locks
    
    # | Name           | Type    | Repository
    --+----------------+---------+-----------
    1 | *lsp-plugins*  | package | (any)
    2 | *pulseeffects* | package | (any)
    3 | python3-pyxdg  | package | (any)
    If python3-pyxdg is locked, I'm not sure why you still get those 4 suggestions. Maybe you could post them? They may be about something else.

    Gene
    @Gene_S:

    So, back in TW main channel, so I ran your "locks" command, and then I ran the zypper selecting #3 "keep obsolete" and it did 333 upgrades, including the downgrades I didn't want to do . . . .

    And then I rebooted and I ran the commands again, so you can see that it again showed the 4 choices to choose again . . . but under that it shows "2 locked packages" even though in the zypper locks command it only shows the one as locked . . . .

    Anyway, it still seems like there is a "dependency problem" but it isn't interfering with GUI the way it is in my new laptop, the one that shows the black log in screen. I guess I made the wrong choice in the 4 decisions, but over in the older desktop I guess I went with "keep obsolete" and it just is Groundhog Day" all over again??

    Code:
    sudo zypper locks
    [sudo] password for root: 
    
    # | Name             | Type    | Repository
    --+------------------+---------+-----------
    1 | Mesa-dri-nouveau | package | (any)
    
    butoh-mind@linux-f6nl:~> sudo zypper ref && sudo zypper dup -l
    Repository 'Main Repository (NON-OSS)' is up to date.                           
    Repository 'Main Repository (OSS)' is up to date.                               
    Repository 'Main Update Repository' is up to date.                              
    Repository 'libdvdcss' is up to date.                                           
    Repository 'Packman Repository' is up to date.                                  
    All repositories have been refreshed.
    Loading repository data...
    Reading installed packages...
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
    Computing distribution upgrade...
    
    Problem: mate-menu-20.04.1-2.1.noarch requires python3-xdg, but this requirement cannot be provided
      deleted providers: python3-pyxdg-0.26-6.2.noarch
    not installable providers: python3-xdg-4.0.1-1.1.noarch[download.opensuse.org-oss]
     Solution 1: Following actions will be done:
      deinstallation of mate-menu-20.04.1-2.1.noarch
      deinstallation of mate-panel-branding-openSUSE-42.1-4.44.noarch
      deinstallation of mate-menu-lang-20.04.1-2.1.noarch
     Solution 2: deinstallation of python3-pyxdg-0.26-6.2.noarch
     Solution 3: keep obsolete python3-pyxdg-0.26-6.2.noarch
     Solution 4: break mate-menu-20.04.1-2.1.noarch by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/4/c/d/?] (c): 3
    Resolving dependencies...
    Computing distribution upgrade...
    
    The following 2 items are locked and will not be changed by any action:
     Available:
      Mesa-dri-nouveau
     Installed:
      python3-pyxdg
    
    Nothing to do.

  8. #28

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    Try this:
    Code:
    sudo zypper removelock python3-pyxdg
    
    sudo zypper addlock python3-pyxdg
    
    sudo zypper locks
    You should now see a lock for python3-pyxdg. Then try the sudo zypper dup command.

    Gene

  9. #29

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    Quote Originally Posted by Gene_S View Post
    Try this:
    Code:
    sudo zypper removelock python3-pyxdg
    
    sudo zypper addlock python3-pyxdg
    
    sudo zypper locks
    You should now see a lock for python3-pyxdg. Then try the sudo zypper dup command.

    Gene
    @Gene_S:

    Thanks for those commands, I'll check them out in a bit . . . from what you are suggesting it seems like we are at a "stalemate" on getting a solution to the problem, as the banana is getting tossed around and nobody is catching it?????

  10. #30
    Join Date
    Jul 2018
    Location
    Loma Linda, Mo
    Posts
    414

    Default Re: new 5.9 kernel boots to black screen with cursor showing but "crashed"?? 5.8 kernel is OK???

    (RANT)
    It appears that the OpenSUSE community does not support MATE desktop.

    It would be fixed by now if they did. I am wondering if it is time to go to Ubuntu or Mint Linux as they support MATE native and not as one-click afterthought.

    I dislike gnome 3 and kde - MATE is gnome 2 resurrected after being abandoned. I don't like my linux desktop to look like a tablet or cell phone. I like the old "Windows XP" feel. I have converted over 100 people to OpenSUSE and MATE from windows 8, 8.1 and 10. I have gotten around the issue by allowing it to update and installing an old version via rpm so zypper does not complain.

    Teamviewer thought I was commercial user and stopped me from connecting for more than 5 minutes - had to install anydesk - it works and I got most of my OpenSUSE MATE converts to install it so I can fix the MATE desktop issues.
    (/RANT)

    12 days and only MATE users have updated bugzilla with their me too's.

    https://bugzilla.opensuse.org/show_bug.cgi?id=1178323
    OpenSUSE 15.2 with VirtualBox VM's (XP, 10, Ubuntu MATE 20.04, OpenSUSE 15.2)
    Pi4 with Ubuntu MATE 20.04
    Unix since 1974 (pdp-11, Interdata, AT&T, Tandy, Convergent, Sun, IBM, NCR, and HP)
    Linux since 1995 (Mandrake, Redhat, Fedora, CentOS, OpenSUSE)

Page 3 of 5 FirstFirst 12345 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •